dpp::component_interaction
appcommand.h
uint8_t uint8_t dpp::component_interaction::component_type component_type dpp::component_interaction::component_type

Component type (dpp::component_type).

std::string std::string dpp::component_interaction::custom_id custom_id dpp::component_interaction::custom_id

Custom ID set when created.

std::vector< std::string > std::vector<std::string> dpp::component_interaction::values values dpp::component_interaction::values

Possible values for a drop down list.

A button click for a button component.

T
dpp::component_interaction
component_type
custom_id
values
std::basic_string< Char >
std::string
std::vector< T >
elements
std::vector< std::string >
elements
< std::string >
uint8_t
- dpp::component_interaction
  component_type
- dpp::component_interaction
  custom_id
- dpp::component_interaction
  values